aboutsummaryrefslogtreecommitdiffstats
path: root/autoscan/tests
diff options
context:
space:
mode:
authorLaurent Ghigonis <laurent@p1sec.com>2013-07-23 06:01:18 +0200
committerLaurent Ghigonis <laurent@p1sec.com>2013-07-23 06:01:18 +0200
commit0869c82e8b9e05c747f2cddf71feb16607646b94 (patch)
tree0e591d47a8f3a278d1df5a2737dda2d06a532ff9 /autoscan/tests
parentautoscan: fix runnow foreground (diff)
downloadlaurent-tools-0869c82e8b9e05c747f2cddf71feb16607646b94.tar.xz
laurent-tools-0869c82e8b9e05c747f2cddf71feb16607646b94.zip
autoscan: fix tests
Diffstat (limited to 'autoscan/tests')
-rwxr-xr-xautoscan/tests/spoofbin/nmap6
-rwxr-xr-xautoscan/tests/test_autoscan.sh2
2 files changed, 4 insertions, 4 deletions
diff --git a/autoscan/tests/spoofbin/nmap b/autoscan/tests/spoofbin/nmap
index 50bfb50..513ad52 100755
--- a/autoscan/tests/spoofbin/nmap
+++ b/autoscan/tests/spoofbin/nmap
@@ -10,7 +10,7 @@ while true; do
done
if [ X"$oa" != X"" ]; then
- touch $oa/localnet.xml
- touch $oa/localnet.gnmap
- touch $oa/localnet.nmap
+ touch $oa.xml
+ touch $oa.gnmap
+ touch $oa.nmap
fi
diff --git a/autoscan/tests/test_autoscan.sh b/autoscan/tests/test_autoscan.sh
index 816646f..4c488cc 100755
--- a/autoscan/tests/test_autoscan.sh
+++ b/autoscan/tests/test_autoscan.sh
@@ -5,7 +5,7 @@ err() {
exit 1
}
-sudo PATH="./spoofbin/:$PATH" ../autoscan.py -v -f -p 127.0.0.1 -o test_output/ -r eth0 ||err "autoscan execution failed"
+sudo PATH="./spoofbin/:$PATH" ../autoscan.py -v -p 127.0.0.1 -o test_output/ -r eth0 ||err "autoscan execution failed"
# XXX test output dirs
dir="test_output/$(ls -1 test_output |tail -n1)"